%define upstream_name    POE-Loop-Tk
%define upstream_version 1.305

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
Summary:    A POE/Tk bridge for ActiveState's Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(POE)
BuildRequires: perl(POE::Test::Loops)
BuildRequires: perl(Tk)
BuildRequires: x11-server-xvfb

BuildArch: noarch


%description
POE::Loop::Tk implements the interface documented in POE::Loop.
Therefore it has no documentation of its own. Please see POE::Loop
for more details.

POE::Loop::Tk is one of two versions of the Tk event loop bridge. The
other, POE::Loop::TkActiveState accommodates behavior
differences in ActiveState's build of Tk. Both versions share common code
in POE::Loop::TkCommon. POE::Loop::Tk dynamically selects the
appropriate bridge code based on the runtime environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# makefile.pl ignores input if not inside a tty :-(
rm run_network_tests
# this test requires interactivity
rm t/poe_loop_tk/wheel_run.t
xvfb-run %make_build test

%install
%make_install

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.305.0-9.mga9
+ Revision: 1837512
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.305.0-8.mga8
+ Revision: 1496898
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.305.0-7.mga7
+ Revision: 1270867
- Mageia 7 Mass Rebuild

* Thu May 12 2016 tv <tv> 1.305.0-6.mga6
+ Revision: 1013945
- use std build macros; prevent warning macros to break build

* Sat Feb 06 2016 umeabot <umeabot> 1.305.0-5.mga6
+ Revision: 941953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.305.0-4.mga5
+ Revision: 746941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.305.0-3.mga5
+ Revision: 685834
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.305.0-2.mga4
+ Revision: 532722
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 1.305.0-1.mga4
+ Revision: 469512
- update to 1.305

* Sun Jan 13 2013 umeabot <umeabot> 1.304.0-2.mga3
+ Revision: 371324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.304.0-1.mga1
+ Revision: 34092
- mageia rebuild
- imported package perl-POE-Loop-Tk


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.304.0-1mdv2011.0
+ Revision: 552564
- update to 1.304

* Mon Aug 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.302.0-1mdv2010.0
+ Revision: 422751
- import perl-POE-Loop-Tk


* Mon Aug 31 2009 cpan2dist 1.302-1mdv
- initial mdv release, generated with cpan2dist
